Percona Server with XtraDB

Operating system errors if innobase_atomic_writes are used on separate undo files that do not exists

Reported by Jan Lindström on 2013-11-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server
Status tracked in 5.6
5.1
Undecided
Unassigned
5.5
Undecided
Unassigned
5.6
Medium
Laurynas Biveinis

Bug Description

2013-11-27 11:48:25 7f3e057db720 InnoDB: Operating system error number 9 in a file operation.
InnoDB: Error number 9 means 'Bad file descriptor'.
InnoDB: Some operating system error numbers are described at
InnoDB: http://dev.mysql.com/doc/refman/5.6/en/operating-system-error-codes.html
2013-11-27 11:48:25 48933 [ERROR] InnoDB: File ./undo001: 'ioctl' returned OS error 109.

Suggested fix:

--- os0file.cc 2013-10-22 10:42:41.000000000 +0300
+++ os0file.cc 2013-11-27 20:56:19.111828166 +0200
@@ -1824,7 +1824,11 @@
  }
 #endif /* USE_FILE_LOCK */

+ /* In 5.6 we could have separate undo files, but we could
+ come here with bad file descriptor if separate undo
+ file does not exists. */
  if (srv_use_atomic_writes && type == OS_DATA_FILE
+ && file != -1
      && !os_file_set_atomic_writes(name, file)) {

   *success = FALSE;

Related branches

lp:~laurynas-biveinis/percona-server/bug1255638
Merged into lp:percona-server at revision 505
Stewart Smith (community): Approve on 2013-11-29
Percona Reviewers G2: Pending requested 2013-11-28
affects: percona-xtrabackup → percona-xtradb
affects: percona-xtradb → percona-server
tags: added: contribution low-hanging-fruit xtradb

Thanks Jan, we have merged the fix.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers